Bug 1305513 - php: Wrongly configured extnesion_dir in php.ini causes Apache to crash
php: Wrongly configured extnesion_dir in php.ini causes Apache to crash
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,public=20160104,reported=...
: Security
Depends On:
Blocks: 1305564
  Show dependency treegraph
 
Reported: 2016-02-08 08:09 EST by Adam Mariš
Modified: 2016-02-12 03:30 EST (History)
13 users (show)

See Also:
Fixed In Version: php 5.6.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 02:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-08 08:09:54 EST
It was found that a wrongly configured extension_dir in php.ini leads to a crash of apache, without any error message.

Upstream bug:

https://bugs.php.net/bug.php?id=71273

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=9a07245b728714de09361ea16b9c6fcf70cb5685
Comment 1 Adam Mariš 2016-02-08 10:13:38 EST
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1305565]
Comment 2 Remi Collet 2016-02-08 10:17:18 EST
Not a security issue.
Comment 3 Tomas Hoger 2016-02-11 02:31:04 EST
Crash triggered by bad configuration file -> not security, as noted above.

Note You need to log in before you can comment on or make changes to this bug.